For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
      • POSTSend a transactional email
      • GETGet the list of transactional emails on the basis of allowed filters
      • GETGet the personalized content of a sent transactional email
      • DELDelete scheduled emails by batchId or messageId
      • GETFetch scheduled emails by batchId or messageId
      • POSTDelete hardbounces
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Email APITransactional email

Delete scheduled emails by batchId or messageId

DELETE
https://api.brevo.com/v3/smtp/email/:identifier
DELETE
/v3/smtp/email/:identifier
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.transactionalEmails.deleteScheduledEmailById("4320f270-a4e3-4a2e-b591-edfe30a5e627");
8}
9main();
Delete scheduled batch of emails by batchId or single scheduled email by messageId
Was this page helpful?
Previous

Fetch scheduled emails by batchId or messageId

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

identifierstringRequired

The batchId of scheduled emails batch (must be a valid UUIDv4) or the messageId of scheduled email (enclosed in angle brackets with @ sign, e.g. <...@domain>).

Response

Scheduled email(s) deleted

Errors

400
Bad Request Error
404
Not Found Error